<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'hari',

    /*
     * Package.
     */
    'package'   => 'test',

    /*
     * Modules.
     */
    'modules'   => ['page'],

    
    'page'       => [
        'model' => [
            'model'                 => \Hari\Test\Models\Page::class,
            'table'                 => 'pages',
            'presenter'             => \Hari\Test\Repositories\Presenter\PagePresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'title',  'heading',  'sub_heading',  'abstract',  'content',  'meta_title',  'meta_keyword',  'meta_description',  'banner',  'images',  'compile',  'view',  'category',  'order',  'slug',  'status',  'upload_folder',  'deleted_at',  'created_at',  'updated_at',  'PRIMARY'],
            'translatables'         => [],
            'upload_folder'         => 'test/page',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Hari',
            'package'   => 'Test',
            'module'    => 'Page',
        ],

    ],
];
