<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for page in test package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  page module in test package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Page',
    'names'         => 'Pages',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Pages',
        'sub'   => 'Pages',
        'list'  => 'List of pages',
        'edit'  => 'Edit page',
        'create'    => 'Create new page'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'status'              => ['Show','Hide'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'name'                       => 'Please enter name',
        'title'                      => 'Please enter title',
        'heading'                    => 'Please enter heading',
        'sub_heading'                => 'Please enter sub heading',
        'abstract'                   => 'Please enter abstract',
        'content'                    => 'Please enter content',
        'meta_title'                 => 'Please enter meta title',
        'meta_keyword'               => 'Please enter meta keyword',
        'meta_description'           => 'Please enter meta description',
        'banner'                     => 'Please enter banner',
        'images'                     => 'Please enter images',
        'compile'                    => 'Please enter compile',
        'view'                       => 'Please enter view',
        'category'                   => 'Please enter category',
        'order'                      => 'Please enter order',
        'slug'                       => 'Please enter slug',
        'status'                     => 'Please select status',
        'upload_folder'              => 'Please enter upload folder',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'PRIMARY'                    => 'Please select PRIMARY',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'name'                       => 'Name',
        'title'                      => 'Title',
        'heading'                    => 'Heading',
        'sub_heading'                => 'Sub heading',
        'abstract'                   => 'Abstract',
        'content'                    => 'Content',
        'meta_title'                 => 'Meta title',
        'meta_keyword'               => 'Meta keyword',
        'meta_description'           => 'Meta description',
        'banner'                     => 'Banner',
        'images'                     => 'Images',
        'compile'                    => 'Compile',
        'view'                       => 'View',
        'category'                   => 'Category',
        'order'                      => 'Order',
        'slug'                       => 'Slug',
        'status'                     => 'Status',
        'upload_folder'              => 'Upload folder',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'PRIMARY'                    => 'PRIMARY',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'name'                       => ['name' => 'Name', 'data-column' => 1, 'checked'],
        'title'                      => ['name' => 'Title', 'data-column' => 2, 'checked'],
        'heading'                    => ['name' => 'Heading', 'data-column' => 3, 'checked'],
        'sub_heading'                => ['name' => 'Sub heading', 'data-column' => 4, 'checked'],
        'abstract'                   => ['name' => 'Abstract', 'data-column' => 5, 'checked'],
        'content'                    => ['name' => 'Content', 'data-column' => 6, 'checked'],
        'meta_title'                 => ['name' => 'Meta title', 'data-column' => 7, 'checked'],
        'meta_keyword'               => ['name' => 'Meta keyword', 'data-column' => 8, 'checked'],
        'meta_description'           => ['name' => 'Meta description', 'data-column' => 9, 'checked'],
        'images'                     => ['name' => 'Images', 'data-column' => 10, 'checked'],
        'compile'                    => ['name' => 'Compile', 'data-column' => 11, 'checked'],
        'view'                       => ['name' => 'View', 'data-column' => 12, 'checked'],
        'category'                   => ['name' => 'Category', 'data-column' => 13, 'checked'],
        'order'                      => ['name' => 'Order', 'data-column' => 14, 'checked'],
        'PRIMARY'                    => ['name' => 'PRIMARY', 'data-column' => 15, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Pages',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
