<?php

// API routes  for page
Route::prefix('{guard}/test')->group(function () {
    Route::get('page/form/{element}', 'PageAPIController@form');
    Route::resource('page', 'PageAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for tests
            Route::prefix('{guard}/test')->group(function () {
                Route::get('page/form/{element}', 'PageAPIController@form');
                Route::apiResource('page', 'PageAPIController');
            });
            // Public routes for tests
            Route::get('test/Page', 'PagePublicController@getPage');
        }
    );
}

